Skip to main content
GET
/
container
/
{containerId}
/
advancedSettings
Get advanced settings
curl --request GET \
  --url https://api.qovery.com/container/{containerId}/advancedSettings \
  --header 'Authorization: Bearer <token>'
{
  "deployment.custom_domain_check_enabled": true,
  "deployment.termination_grace_period_seconds": 123,
  "deployment.affinity.node.required": {},
  "deployment.antiaffinity.pod": "Preferred",
  "deployment.topology_spread.zone": "Disabled",
  "deployment.update_strategy.type": "RollingUpdate",
  "deployment.update_strategy.rolling_update.max_unavailable_percent": 123,
  "deployment.update_strategy.rolling_update.max_surge_percent": 123,
  "network.ingress.proxy_body_size_mb": 123,
  "network.ingress.force_ssl_redirect": true,
  "network.ingress.enable_cors": true,
  "network.ingress.cors_allow_origin": "<string>",
  "network.ingress.cors_allow_methods": "<string>",
  "network.ingress.cors_allow_headers": "<string>",
  "network.ingress.proxy_buffer_size_kb": 123,
  "network.ingress.keepalive_time_seconds": 123,
  "network.ingress.keepalive_timeout_seconds": 123,
  "network.ingress.send_timeout_seconds": 123,
  "network.ingress.proxy_connect_timeout_seconds": 123,
  "network.ingress.proxy_send_timeout_seconds": 123,
  "network.ingress.proxy_read_timeout_seconds": 123,
  "network.ingress.proxy_buffering": "<string>",
  "network.ingress.proxy_request_buffering": "<string>",
  "network.ingress.grpc_send_timeout_seconds": 123,
  "network.ingress.grpc_read_timeout_seconds": 123,
  "network.ingress.whitelist_source_range": "<string>",
  "network.ingress.denylist_source_range": "<string>",
  "network.ingress.extra_headers": "{\"X-Frame-Options\":\"DENY \",\"X-Content-Type-Options\":\"nosniff\"}",
  "network.gateway_api.http_request_timeout_seconds": 1,
  "network.gateway_api.http_connection_idle_timeout_seconds": 1,
  "network.gateway_api.retry.num_retries": 1,
  "network.gateway_api.retry.retry_on": "<string>",
  "network.gateway_api.retry.http_status_codes": "<string>",
  "network.gateway_api.retry.per_try_timeout_seconds": 2,
  "network.ingress.basic_auth_env_var": "<string>",
  "network.ingress.enable_sticky_session": true,
  "security.service_account_name": "<string>",
  "hpa.cpu.average_utilization_percent": 123,
  "hpa.memory.average_utilization_percent": 123,
  "security.automount_service_account_token": true,
  "security.read_only_root_filesystem": true
}

Documentation Index

Fetch the complete documentation index at: https://qovery-docs-ai-use-cases-highlight.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

containerId
string<uuid>
required

Container ID

Response

Advanced settings list

deployment.custom_domain_check_enabled
boolean

disable custom domain check when deploying an application

deployment.termination_grace_period_seconds
integer

define how long in seconds an application is supposed to be stopped gracefully

deployment.affinity.node.required
object

Set pod placement on specific Kubernetes nodes labels

deployment.antiaffinity.pod
enum<string>

Define how you want pods affinity to behave:

  • Preferred allows, but does not require, pods of a given service are not co-located (or co-hosted) on a single node
  • Requirred ensures that the pods of a given service are not co-located (or co-hosted) on a single node (safer in term of availability but can be expensive depending on the number of replicas)
Available options:
Preferred,
Requirred
deployment.topology_spread.zone
enum<string>

Define how you want pods to be spread across availability zones:

  • Disabled no topology spread constraints are applied
  • ScheduleAnyway pods are spread across zones on a best-effort basis (soft constraint)
  • DoNotSchedule pods must be evenly spread across zones with a maxSkew of 1 (hard constraint)
Available options:
Disabled,
ScheduleAnyway,
DoNotSchedule
deployment.update_strategy.type
enum<string>
  • RollingUpdate gracefully rollout new versions, and automatically rollback if the new version fails to start
  • Recreate stop all current versions and create new ones once all old ones have been shutdown
Available options:
RollingUpdate,
Recreate
deployment.update_strategy.rolling_update.max_unavailable_percent
integer

Define the percentage of a maximum number of pods that can be unavailable during the update process

deployment.update_strategy.rolling_update.max_surge_percent
integer

Define the percentage of the maximum number of pods that can be created over the desired number of pods

network.ingress.proxy_body_size_mb
integer
network.ingress.force_ssl_redirect
boolean

When using SSL offloading outside of cluster, you can enforce a redirect to HTTPS even when there is no TLS certificate available

network.ingress.enable_cors
boolean
network.ingress.cors_allow_origin
string
network.ingress.cors_allow_methods
string
network.ingress.cors_allow_headers
string
network.ingress.proxy_buffer_size_kb
integer

header buffer size used while reading response header from upstream

network.ingress.keepalive_time_seconds
integer

Limits the maximum time (in seconds) during which requests can be processed through one keepalive connection

network.ingress.keepalive_timeout_seconds
integer

Sets a timeout (in seconds) during which an idle keepalive connection to an upstream server will stay open.

network.ingress.send_timeout_seconds
integer

Sets a timeout (in seconds) for transmitting a response to the client

network.ingress.proxy_connect_timeout_seconds
integer

Sets a timeout (in seconds) for establishing a connection to a proxied server

network.ingress.proxy_send_timeout_seconds
integer

Sets a timeout (in seconds) for transmitting a request to the proxied server

network.ingress.proxy_read_timeout_seconds
integer

Sets a timeout (in seconds) for reading a response from the proxied server

network.ingress.proxy_buffering
string

Allows to enable or disable nginx proxy-buffering

network.ingress.proxy_request_buffering
string

Allows to enable or disable nginx proxy-request-buffering

network.ingress.grpc_send_timeout_seconds
integer

Sets a timeout (in seconds) for transmitting a request to the grpc server

network.ingress.grpc_read_timeout_seconds
integer

Sets a timeout (in seconds) for transmitting a request to the grpc server

network.ingress.whitelist_source_range
string

list of source ranges to allow access to ingress proxy. This property can be used to whitelist source IP ranges for ingress proxy. The value is a comma separated list of CIDRs, e.g. 10.0.0.0/24,172.10.0.1 To allow all source ranges, set 0.0.0.0/0.

network.ingress.denylist_source_range
string

list of source ranges to deny access to ingress proxy. This property can be used to blacklist source IP ranges for ingress proxy. The value is a comma separated list of CIDRs, e.g. 10.0.0.0/24,172.10.0.1

network.ingress.extra_headers
string

Allows to define response headers

Example:

"{\"X-Frame-Options\":\"DENY \",\"X-Content-Type-Options\":\"nosniff\"}"

network.gateway_api.http_request_timeout_seconds
integer | null

Sets a timeout (in seconds) for requests proxied through the Gateway API route.

Required range: x >= 0
network.gateway_api.http_connection_idle_timeout_seconds
integer | null

Sets the idle timeout (in seconds) for HTTP connections proxied through the Gateway API route.

Required range: x >= 0
network.gateway_api.retry.num_retries
integer | null

Sets the number of retry attempts for requests proxied through the Gateway API route.

Required range: x >= 0
network.gateway_api.retry.retry_on
string | null

Comma-separated retry triggers (for example connect-failure,reset,refused-stream,retriable-status-codes) for requests proxied through the Gateway API route.

network.gateway_api.retry.http_status_codes
string | null

Comma-separated HTTP status codes (100..599) retried when retry_on includes retriable-status-codes.

network.gateway_api.retry.per_try_timeout_seconds
integer | null

Sets the timeout (in seconds) applied to each retry attempt for requests proxied through the Gateway API route.

Required range: x >= 1
network.ingress.basic_auth_env_var
string

Set the name of an environment variable to use as a basic authentication (login:crypted_password) from htpasswd command. You can add multiples comma separated values.

network.ingress.enable_sticky_session
boolean

Enable the load balancer to bind a user's session to a specific target. This ensures that all requests from the user during the session are sent to the same target

security.service_account_name
string

Allows you to set an existing Kubernetes service account name

hpa.cpu.average_utilization_percent
integer

Percentage value of cpu usage at which point pods should scale up.

hpa.memory.average_utilization_percent
integer | null

Percentage value of memory usage at which point pods should scale up.

security.automount_service_account_token
boolean

Automount Kubernetes service account token to have access to Kubernetes API from pods

security.read_only_root_filesystem
boolean

Mounts the container's root filesystem as read-only